Summary:	A DLNA/UPnP-AV Media server (aka ReadyMedia)
Name:		minidlna
Version:	1.1.5
Release:	%mkrel 4
URL:		http://sourceforge.net/projects/minidlna/
Group:		Networking/Other
License:	GPLv2
Source0:	http://download.sourceforge.net/minidlna/%{name}-%{version}.tar.gz
Source1:	minidlna.tmpfiles.conf
Source2:	minidlna.service
BuildRequires:	pkgconfig(libavutil)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(libexif)
BuildRequires:	pkgconfig(id3tag)
BuildRequires:	pkgconfig(flac)
Requires(pre):		rpm-helper
Requires(post):		rpm-helper
Requires(preun):	rpm-helper
Provides:	readydlna = %{version}-%{release}
Provides:	readymedia = %{version}-%{release}

%description
MiniDLNA (aka ReadyMedia) is a simple server software with the aim of being fully
compliant with DLNA/UPnP-AV clients. MiniDLNA serves multimedia content
such as music, video and pictures to compatible clients on the network.

%prep
%setup -q

%build
%configure2_5x \
	--with-log-path=%{_logdir} \
	--with-db-path=%{_localstatedir}/cache/%{name} \
	--with-os-name=%{_vendor} \
	--with-os-version=%{product_release} \
	--with-os-url=http://www.%{_real_vendor}.org \
	--disable-silent-rules
%make

%install
%makeinstall_std

#config
install -Dpm0644 %{name}.conf %{buildroot}%{_sysconfdir}/minidlna.conf

#man pages
install -Dpm0644 minidlna.conf.5 %{buildroot}%{_mandir}/man5/%{name}.conf.5
install -Dpm0644 minidlnad.8 %{buildroot}%{_mandir}/man8/%{name}d.8

#systemd related
install -Dpm0644 %{_sourcedir}/minidlna.tmpfiles.conf \
	%{buildroot}%{_tmpfilesdir}/%{name}.conf
install -Dpm0644 %{_sourcedir}/minidlna.service \
	%{buildroot}%{_unitdir}/%{name}.service

#for cache
install -d -m 0755 %{buildroot}%{_localstatedir}/cache/%{name}/
touch %{buildroot}%{_localstatedir}/cache/%{name}/files.db

%find_lang %{name}

%pre
%_pre_useradd %{name} /run/%{name} /sbin/nologin
%_pre_groupadd %{name} %{name}

%post
%create_ghostfile %{_localstatedir}/cache/%{name}/files.db %{name} %{name} 0644
%_tmpfilescreate %{name}
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}
%_postun_groupdel %{name} %{name}

%files -f %{name}.lang
%doc README
%license LICENCE.miniupnpd
%config(noreplace) %{_sysconfdir}/minidlna.conf
%dir %attr(-,minidlna,minidlna) %{_localstatedir}/cache/%{name}/
%ghost %attr(-,minidlna,minidlna) %{_localstatedir}/cache/%{name}/files.db
%{_sbindir}/minidlnad
%{_mandir}/man?/%{name}*
%{_unitdir}/%{name}.service
%{_tmpfilesdir}/%{name}.conf


%changelog
* Tue May 02 2017 akien <akien> 1.1.5-4.mga6
+ Revision: 1098365
- Rebuild for ffmpeg 3.3

* Wed Mar 08 2017 akien <akien> 1.1.5-3.mga6
+ Revision: 1089878
- Rebuild for ffmpeg 3.2.4

* Mon Feb 15 2016 umeabot <umeabot> 1.1.5-2.mga6
+ Revision: 961428
- Mageia 6 Mass Rebuild

* Wed Sep 16 2015 wally <wally> 1.1.5-1.mga6
+ Revision: 879729
- new version 1.1.5

* Fri Dec 05 2014 wally <wally> 1.1.4-1.mga5
+ Revision: 801607
- new version 1.1.4 (mga#14683)

* Fri Nov 14 2014 akien <akien> 1.1.3-5.mga5
+ Revision: 797106
- Rebuild for ffmpeg 2.4

* Wed Oct 15 2014 umeabot <umeabot> 1.1.3-3.mga5
+ Revision: 749362
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.3-2.mga5
+ Revision: 682521
- Mageia 5 Mass Rebuild

* Wed Jun 11 2014 wally <wally> 1.1.3-1.mga5
+ Revision: 635668
- new version 1.1.3

* Tue Feb 04 2014 wally <wally> 1.1.1-1.mga5
+ Revision: 580979
- fix summary/description
- add provides for ReadyMedia
- new version 1.1.1
- adapt to systemd

  + ennael <ennael>
    - imported package minidlna

